/* script REXX de instalacin de Cumpleaos v1.0 */

call RxFuncAdd 'SysCls', 'RexxUtil', 'SysCls'
call RxFuncAdd 'SysCreateObject', 'RexxUtil', 'SysCreateObject'

currentDirectory = directory()
programName =  "\Cumple.EXE;STARTUPDIR="||currentDirectory||";"

programPath = insert( currentDirectory, programName )
executable = insert( "EXENAME=", programPath )

call SysCls
say " Instalacin de Cumpleaos v 1.0 por Horacio Jamilis - 1996"
say ""
say " Desea crear el objeto del programa en el escritorio? (S/N)"
say ""
pull opcion

IF (opcion='S') THEN

IF SysCreateObject("WPProgram","Cumpleaos","<WP_DESKTOP>",,
                executable, "REPLACE" ) THEN
DO
 say ""
 say " El objeto de Cumpleaos ha sido creado con xito en el escritorio..."
 say ""
 say " Inicie Cumpleaos con un doble click en el objeto del programa."
 say ""
END
say ""
say " Desea crear el objeto del programa en el grupo de inicio? (S/N)"
say ""
pull opcion
IF (opcion='S') THEN
DO
 say ""
 say " Que clase de ejecucin desea para la ejecicin de inicio?"
 say " Los cumpleaos del (D)ia, de la (S)emana, del (M)es o"
 say " de los (P)roximos N das."
 say ""
 pull opcion
 IF (opcion='D') THEN
  DO
   IF SysCreateObject("WPProgram","Cumpleaos","<WP_START>",,
                executable||"PARAMETERS=/D", "REPLACE" ) THEN
   call InicioCreado
  END
 IF (opcion='S') THEN
  DO
   IF SysCreateObject("WPProgram","Cumpleaos","<WP_START>",,
                executable||"PARAMETERS=/S", "REPLACE" ) THEN
   call InicioCreado
  END
 IF (opcion='M') THEN
  DO
   IF SysCreateObject("WPProgram","Cumpleaos","<WP_START>",,
                executable||"PARAMETERS=/M", "REPLACE" ) THEN
   call InicioCreado
  END
 IF (opcion='P') THEN
  DO
   say ""
   say "para cuantos das?"
   say ""
   pull opcion
   IF SysCreateObject("WPProgram","Cumpleaos","<WP_START>",,
                executable||"PARAMETERS=/P:"||opcion, "REPLACE" ) THEN
   call InicioCreado
  END
END
call final
exit 0

InicioCreado:
 say ""
 say " El objeto de Cumpleaos ha sido creado con xito en el grupo de..."
 say " inicio por lo que se ejecutar cada vez que inicie el sistema."
 say ""
return

Final:
say ""
say "****************************************************************"
say "*   Este programa es freeware por lo que puede utilizarlo y    *"
say "*   distribuirlo tanto como guste en tanto no lo modifique y   *"
say "*   mantenga todos los archivos del paquete juntos.            *"
say "****************************************************************"
say ""
return
